--AH:ScriptId=efbe7c57-710d-428f-b175-708a1faf8a1f;448

IF OBJECT_ID('TR__Servers__ValidateLocalhost') IS NOT NULL DROP TRIGGER TR__Servers__ValidateLocalhost
IF OBJECT_ID('TR__Servers__PreventTypeChange') IS NOT NULL DROP TRIGGER TR__Servers__PreventTypeChange
IF OBJECT_ID('TR__ServerGroups__ValidateServerType') IS NOT NULL DROP TRIGGER TR__ServerGroups__ValidateServerType
GO

ALTER TABLE [Servers]
  ADD [ServerGroup_Indicator] YNINDICATOR NULL,
      [Agent_Name] VARCHAR(50) NULL,
      [Agent_Description] VARCHAR(500) NULL,
      [Agent_Configuration] VARCHAR(MAX) NULL
GO

UPDATE [Servers]
   SET [Agent_Name] = 'Local Agent',
       [Agent_Description] = 'An agent that runs on the local BuildMaster server.',
       [Agent_Configuration] = 
          '<Inedo.BuildMaster.Extensibility.Agents.Local.LocalAgent Assembly="BuildMasterExtensions">'
          + '<Properties /></Inedo.BuildMaster.Extensibility.Agents.Local.LocalAgent>'
 WHERE [ServerType_Code]='L'
 
UPDATE [Servers]
   SET [Agent_Name] = 'Legacy SOAP Agent',
       [Agent_Description] = 'A shim used to convert BuildMaster 0.x, 1.x, and 2.x agents to the new protocol.',
       [Agent_Configuration] = 
			'<Inedo.BuildMaster.Extensibility.Agents.LegacySoap.LegacySoapAgent Assembly="BuildMasterExtensions">'
			+ '<Properties AgentUrl="' + [Agent_Url] + '" />'
			+ '</Inedo.BuildMaster.Extensibility.Agents.LegacySoap.LegacySoapAgent>'
 WHERE [ServerType_Code]='A'

UPDATE [Servers] 
   SET [ServerGroup_Indicator] = CASE [ServerType_Code] WHEN 'G' THEN 'Y' ELSE 'N' END
GO

ALTER TABLE [Servers]
ALTER COLUMN [ServerGroup_Indicator] YNINDICATOR NOT NULL

ALTER TABLE [Servers]
  ADD CONSTRAINT [CK__Servers__ServerGroupValidator]
      CHECK (    ([ServerGroup_Indicator]='Y' AND COALESCE([Agent_Name],[Agent_Description],[Agent_Configuration]) IS NULL)
              OR ([ServerGroup_Indicator]='N' 
                  AND [Agent_Name] IS NOT NULL 
                  AND [Agent_Description] IS NOT NULL 
                  AND [Agent_Configuration] IS NOT NULL) )
GO

ALTER TABLE [Servers] DROP CONSTRAINT [CK__Servers__ServerType_Code_Domain]
ALTER TABLE [Servers] DROP COLUMN [ServerType_Code]
ALTER TABLE [Servers] DROP COLUMN [Agent_Url]
GO