--AH:ScriptId=5a16863d-abaf-4784-bad8-82248197a863;3013

CREATE TABLE [EventListenerStages]
(
    [EventListener_Id] INT NOT NULL,
    [PipelineStage_Name] VARCHAR(50) NOT NULL,

    CONSTRAINT [PK__EventListenerStages] PRIMARY KEY ([EventListener_Id], [PipelineStage_Name]),
    CONSTRAINT [FK__EventListenerStages__EventListeners] FOREIGN KEY ([EventListener_Id])
               REFERENCES [EventListeners] ([EventListener_Id])
               ON DELETE CASCADE
)
GO

INSERT [EventListenerStages] ([EventListener_Id], [PipelineStage_Name])
SELECT ELE.[EventListener_Id], E.[Environment_Name]
  FROM [EventListenerEnvironments] ELE
 INNER JOIN [Environments] E 
         ON E.[Environment_Id] = ELE.[Environment_Id]
GO

DROP TABLE [EventListenerEnvironments]
GO

UPDATE [EventTypeDetails]
   SET [Detail_Name] = 'PipelineStage_Name', 
       [Detail_Type] = 'varchar'
 WHERE [Event_Code] IN ('BLDUNA','BLDPMT','BLDCPP','BLDPRU')
   AND [Detail_Name] = 'Environment_Id'
GO