--AH:ScriptId=625ae480-c70f-4a78-a79f-cda7530fd0e9;3171
CREATE TABLE [Calendars] 
(
    [Calendar_Id] INT IDENTITY (1,1) NOT NULL
        CONSTRAINT [PK__Calendars]
        PRIMARY KEY,
    [Calendar_Name] NVARCHAR(50) NOT NULL,
    [CalendarType_Code] CHAR(1) NOT NULL
        CONSTRAINT [CK__Calendars__CalendarType_Code] CHECK ([CalendarType_Code] IN ('P', 'T', 'G')),
    [Principal_Name] NVARCHAR(100) NULL, -- User = Personal, Group = Team, NULL = Global
    [CreatedOn_Date] DATETIME NOT NULL,
    [CreatedBy_User_Name] USERNAME NOT NULL,
    [ModifiedOn_Date] DATETIME NOT NULL,
    [ModifiedBy_User_Name] USERNAME NOT NULL
)

CREATE TABLE [CalendarViews]
(
    [CalendarView_Id] INT IDENTITY (1,1) NOT NULL 
        CONSTRAINT [PK__CalendarViews]
        PRIMARY KEY ([CalendarView_Id]),

    [Calendar_Id] INT NOT NULL CONSTRAINT [FK__CalendarViews__Calendars]
        FOREIGN KEY REFERENCES [Calendars] ([Calendar_Id])
        ON DELETE CASCADE,

    [CalendarView_Configuration] XML NOT NULL
)

CREATE TABLE [ReleaseTargetDates] 
(
    [ReleaseTargetDate_Id] INT IDENTITY(1,1) NOT NULL
        CONSTRAINT [PK__ReleaseTargetDates] 
        PRIMARY KEY,
    [Release_Id] INT NOT NULL CONSTRAINT [FK__ReleaseTargetDates__Releases]
        FOREIGN KEY REFERENCES [Releases] ([Release_Id])
        ON DELETE CASCADE,
    [Target_Name] NVARCHAR(50) NOT NULL,
    [Start_Date] DATETIME NOT NULL,
    [End_Date] DATETIME NOT NULL
)
GO

INSERT INTO [ReleaseTargetDates] ([Release_Id], [Target_Name], [Start_Date], [End_Date])
   SELECT [Release_Id], 'Target', [Target_Date], [Target_Date]
     FROM [Releases] WHERE [Target_Date] IS NOT NULL
GO

ALTER TABLE [Releases]
  DROP COLUMN [Target_Date]
GO

INSERT INTO [Tasks] ([Task_Id], [Task_Name], [Application_Scopeable_Indicator], [Environment_Scopeable_Indicator])
       VALUES (129, 'Calendars_Manage', 'N', 'N')
GO

INSERT [RoleTasks] ([Role_Id], [Task_Id])
SELECT R.[Role_Id], 129
  FROM [Roles] R
 WHERE [Role_Name] = 'Administer'
GO