IF OBJECT_ID('[BuildExecutions_ActionGroupActions_Extended]') IS NOT NULL DROP VIEW [BuildExecutions_ActionGroupActions_Extended]
GO

CREATE VIEW [BuildExecutions_ActionGroupActions_Extended] AS

SELECT BE.[Execution_Id],
		  [BuildExecutionStatus_Name] =
		   CASE
				WHEN E.[ExecutionRunState_Code] = 'P' THEN 'Pending'
				WHEN E.[ExecutionRunState_Code] = 'X' AND E.[CanceledOn_Date] IS NULL THEN 'Executing'
				WHEN E.[ExecutionRunState_Code] = 'X' AND E.[CanceledOn_Date] IS NOT NULL THEN 'Canceled'
				WHEN E.[ExecutionStatus_Code] = 'E' THEN 'Failed'
				ELSE 'Succeeded'
		   END,
	   BP.[Promotion_Id],
	   BP.[PipelineStage_Name],

       A.[Application_Id],
	   R.[Release_Id],
       R.[Release_Number],
	   B.[Build_Id],
       B.[Build_Number],

       BEAGA.[Original_Action_Sequence],
       BEAGA.[ExecutionAction_Description],

       BEDPAG.[Original_DeploymentPlanActionGroup_Sequence],
	   BEDPAG.[Original_DeploymentPlanActionGroup_Name],

       BEAGA.[ExecutionStarted_Date],
       BEAGA.[ExecutionEnded_Date],
       [ExecutionStatus_Name] = COALESCE(BEAGA.[ExecutionStatus_Name], 'Pending'),

       BEDPAG.[Original_Deployable_Name],
       BEDPAG.[Original_Deployable_Application_Name],

	   BEAGA.[WarningLogEntry_Indicator],
	   A.[VariableSupport_Code]

  FROM [BuildExecutions] BE
       INNER JOIN [Executions] E
	           ON E.[Execution_Id] = BE.[Execution_Id]
       INNER JOIN [BuildExecution_DeploymentPlans] BEDP
               ON BEDP.[Execution_Id] = BE.[Execution_Id]
       INNER JOIN [BuildExecution_ActionGroupActions] BEAGA
               ON BEAGA.[BuildExecution_DeploymentPlan_Id] = BEDP.[BuildExecution_DeploymentPlan_Id]
       INNER JOIN [BuildExecution_DeploymentPlanActionGroups] BEDPAG
               ON BEDPAG.[BuildExecution_DeploymentPlan_Id] = BEAGA.[BuildExecution_DeploymentPlan_Id]
              AND BEDPAG.[Original_DeploymentPlanActionGroup_Sequence] = BEAGA.[Original_DeploymentPlanActionGroup_Sequence]
	   INNER JOIN [BuildPromotions] BP
	           ON BP.[Promotion_Id] = BE.[Promotion_Id]
       INNER JOIN [Builds] B
	           ON B.[Build_Id] = BP.[Build_Id]
	   INNER JOIN [Releases] R
	           ON R.[Release_Id] = B.[Release_Id]
	   INNER JOIN [Applications] A
	           ON A.[Application_Id] = R.[Application_Id]
GO
