IF OBJECT_ID('[ChangeControlPerformances_Extended]') IS NOT NULL DROP VIEW [ChangeControlPerformances_Extended]
GO

CREATE VIEW [ChangeControlPerformances_Extended] AS

	SELECT CCP.[ChangeControl_Id],
	       CCP.[Environment_Id],
	       CCP.[PerformedBy_User_Name],
	       CCP.[Performed_Date],
	       CCP.[Notes_Text],
	       E.[Environment_Name],
	       R.[Application_Id],
		   R.[Release_Id],
	       R.[Release_Number],
	       CC.[Group_Name],
	       CC.[Description_Text],
	       CC.[ChangeControl_Name],
	       CC.[Principal_Name],
	       CC.[PrincipalType_Code],
	       CC.[CreatedBy_User_Name],
	       CC.[ModifiedBy_User_Name],
	       CC.[CreatedOn_Date],
	       CC.[ModifiedOn_Date],
	       CC.[PerformanceType_Code],
	       CC.[Active_Indicator],
           [Release_Name] = COALESCE(R.[Release_Name], R.[Release_Number])
	  FROM [ChangeControlPerformances] CCP
INNER JOIN [Environments] E
	    ON  CCP.[Environment_Id] = E.[Environment_Id]
INNER JOIN [ChangeControls] CC
        ON CCP.[ChangeControl_Id] = CC.[ChangeControl_Id]
INNER JOIN [Releases] R
        ON R.[Release_Id] = CC.[Release_Id]
GO