IF OBJECT_ID('[Executions_Extended]') IS NOT NULL DROP VIEW [Executions_Extended]
GO

CREATE VIEW [Executions_Extended] AS

	SELECT X.[Execution_Id]
		  ,X.[Start_Date]
		  ,X.[End_Date]
		  ,X.[ExecutionRunState_Code]
		  ,X.[ExecutionStatus_Code]
          ,X.[ExecutionMode_Code]
		  ,X.[CreatedBy_User_Name]
		  ,X.[CreatedOn_Date]
		  ,X.[CanceledBy_User_Name]
		  ,X.[CanceledOn_Date]
          ,A.[Application_Id]
          ,A.[Application_Name]
		  ,E.[Environment_Id]
		  ,E.[Environment_Name]
		  ,X.[DependentUpon_Execution_Id]

	  FROM [Executions] X
            LEFT JOIN [BuildExecutions] BX
		          ON X.[Execution_Id] = BX.[Execution_Id]
            LEFT JOIN [BuildTriggerExecutions] BT
                  ON X.[Execution_Id] = BT.[Execution_Id]
            LEFT JOIN [BuildPromotions] P
                  ON P.[Promotion_Id] = BX.[Promotion_Id]
            LEFT JOIN [Builds] B
                  ON B.[Build_Id] = P.[Build_Id]
            LEFT JOIN [Releases] R
                  ON R.[Release_Id] = B.[Release_Id]
            LEFT JOIN [Applications] A
                  ON COALESCE(R.[Application_Id], BT.[Application_Id]) = A.[Application_Id]
			LEFT JOIN [DatabaseChangeScriptExecutions] DCSX
			       ON DCSX.[Execution_Id] = X.[Execution_Id]
			LEFT JOIN [DatabaseConnections] DC
			       ON DC.[DatabaseConnection_Id] = DCSX.[DatabaseConnection_Id]
			LEFT JOIN [Environments] E
			       ON E.[Environment_Id] = BX.[Environment_Id]
				   OR E.[Environment_Id] = DC.[Environment_Id]
                    
                     
GO
