EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'BuildOutputs_GetOutputs',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'BuildOutputs_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the build output reports for a specified build'
GO


IF OBJECT_ID('[BuildOutputs_GetOutputs]') IS NOT NULL DROP PROCEDURE [BuildOutputs_GetOutputs]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [BuildOutputs_GetOutputs]
(
	@Execution_Id INT
)
AS
BEGIN

	SET NOCOUNT ON

    DECLARE @Application_Id INT
	DECLARE @Release_Number RELEASENUMBER
	DECLARE @Build_Number BUILDNUMBER
	
	SELECT @Application_Id = [Application_Id],
	       @Release_Number = [Release_Number],
	       @Build_Number = [Build_Number]
	  FROM [BuildExecutions_Extended]
	 WHERE [Execution_Id] = @Execution_Id
	 

	SELECT *
	  FROM [BuildOutputs_Extended]
	 WHERE [Application_Id] = @Application_Id
	   AND [Release_Number] = @Release_Number
	   AND [Build_Number] = @Build_Number
  ORDER BY [Output_Sequence]

END
GO

GRANT EXECUTE ON [BuildOutputs_GetOutputs] TO [BuildMasterUser_Role]
