EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'BuildSchedules_DeleteBuildSchedule',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Deletes the specified build schedule'
GO

IF OBJECT_ID('[dbo].[BuildSchedules_DeleteBuildSchedule]') IS NOT NULL
	DROP PROCEDURE [dbo].[BuildSchedules_DeleteBuildSchedule]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [dbo].[BuildSchedules_DeleteBuildSchedule]
(
	@Schedule_Id INT
) AS
BEGIN


SET NOCOUNT ON

BEGIN TRY
	BEGIN TRANSACTION

	DECLARE @Application_Id INT, @Schedule_Name SQL_VARIANT
	 SELECT @Application_Id = [Application_Id], @Schedule_Name = [Schedule_Name]
	   FROM [BuildSchedules]
	  WHERE [Schedule_Id] = @Schedule_Id

	DELETE
	  FROM [BuildScheduleVariableDefinitions]
	 WHERE [Schedule_Id] = @Schedule_Id

	DELETE
	  FROM [BuildSchedules]
	 WHERE [Schedule_Id] = @Schedule_Id

	IF @@ROWCOUNT <> 0 EXEC [Events_RaiseEvent] 'BSHDEL', @Application_Id, @Schedule_Name

	COMMIT
END TRY BEGIN CATCH
	IF XACT_STATE()<>0 ROLLBACK
	EXEC [HandleError]
END CATCH

END
GO

GRANT EXECUTE ON [dbo].[BuildSchedules_DeleteBuildSchedule] TO [BuildMasterUser_Role]
GO
