EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Builds_GetPromotions',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'BuildPromotions_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets all of the promotions that have occurred.'
GO


IF OBJECT_ID('[Builds_GetPromotions]') IS NOT NULL DROP PROCEDURE [Builds_GetPromotions]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Builds_GetPromotions]
(
	@Application_Id INT,
	@Release_Number RELEASENUMBER,
	@Build_Number BUILDNUMBER = NULL
) AS BEGIN

	SET NOCOUNT ON

	SELECT *
	  FROM [BuildPromotions_Extended]
	 WHERE [Application_Id] = @Application_Id
	   AND (@Release_Number IS NULL OR ([Release_Number] = @Release_Number))
	   AND (@Build_Number IS NULL OR ([Build_Number] = @Build_Number))

END
GO

GRANT EXECUTE ON [Builds_GetPromotions] TO [BuildMasterUser_Role]
