EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Builds_GetPromotionsSlim',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'BuildPromotions_Slim',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the basic details of all of the promotions that have occurred for a release.'
GO


IF OBJECT_ID('[Builds_GetPromotionsSlim]') IS NOT NULL DROP PROCEDURE [Builds_GetPromotionsSlim]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Builds_GetPromotionsSlim]
(
	@Application_Id INT,
	@Release_Number RELEASENUMBER,
	@Build_Number BUILDNUMBER = NULL
) AS BEGIN

	SET NOCOUNT ON

	SELECT *
	  FROM [BuildPromotions_Slim]
	 WHERE [Application_Id] = @Application_Id
	   AND [Release_Number] = @Release_Number
	   AND (@Build_Number IS NULL OR ([Build_Number] = @Build_Number))

END
GO

GRANT EXECUTE ON [Builds_GetPromotionsSlim] TO [BuildMasterUser_Role]
