EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Environments_GetEnvironmentsAndServers',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataSet',
    /* DataTableNames_Csv      */ 'Environments_Extended,EnvironmentServers_Extended,Servers',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the a dataset containing all environments, all environment/server relations, and servers'
GO


IF OBJECT_ID('[Environments_GetEnvironmentsAndServers]') IS NOT NULL DROP PROCEDURE [Environments_GetEnvironmentsAndServers]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Environments_GetEnvironmentsAndServers]
(
	@IncludeInactive_Environments_Indicator YNINDICATOR,
	@IncludeInactive_Servers_Indicator YNINDICATOR
)
AS
BEGIN

	SET NOCOUNT ON

	SELECT * FROM [Environments_Extended] 
	 WHERE [Active_Indicator] = 'Y' OR @IncludeInactive_Environments_Indicator = 'Y'
	 ORDER BY [Display_Sequence]

	SELECT * FROM [EnvironmentServers_Extended] 
	 WHERE [Environment_Id] IS NULL OR
	       (([Environment_Active_Indicator] = 'Y' OR @IncludeInactive_Environments_Indicator = 'Y') AND
	       ([Server_Active_Indicator] = 'Y' OR @IncludeInactive_Servers_Indicator = 'Y'))
	 ORDER BY [Server_Name]

	SELECT *
	  FROM [Servers]
     WHERE @IncludeInactive_Servers_Indicator = 'Y' OR [Active_Indicator] = 'Y'
  ORDER BY CASE WHEN [Server_Id] = 1 THEN 1 ELSE 2 END,
	       [Server_Name]

END
GO

GRANT EXECUTE ON [Environments_GetEnvironmentsAndServers] TO [BuildMasterUser_Role]