EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Notifiers_GetNotifier',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataSet',
    /* DataTableNames_Csv      */ 'Notifiers,NotifierEventCodes',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets a notifier and a list of event codes that the notifier is subscribed to'
GO

IF OBJECT_ID('[Notifiers_GetNotifier]') IS NOT NULL
	DROP PROCEDURE [Notifiers_GetNotifier]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Notifiers_GetNotifier]
(
	@Notifier_Id INT
)
AS
BEGIN

SET NOCOUNT ON

	SELECT * FROM [Notifiers]
	 WHERE [Notifier_Id] = @Notifier_Id
	IF @@ROWCOUNT=0 RAISERROR('Notifier %i does not exist.', 16,1,@Notifier_Id)

	SELECT * FROM [NotifierEventCodes]
	 WHERE [Notifier_Id] = @Notifier_Id

END
GO

GRANT EXECUTE ON [Notifiers_GetNotifier] TO [BuildMasterUser_Role]