EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'PackageSources_DeletePackageSource',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Deletes the specified package source.'
GO

IF OBJECT_ID('[PackageSources_DeletePackageSource]') IS NOT NULL DROP PROCEDURE [PackageSources_DeletePackageSource]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [PackageSources_DeletePackageSource]
(
    @PackageSource_Id INT
)
AS
BEGIN

	SET NOCOUNT ON

	
BEGIN TRY
	BEGIN TRANSACTION

	DECLARE @PackageSource_Name VARCHAR(50)
	DECLARE @Feed_Url NVARCHAR(255)

	SELECT @PackageSource_Name = [PackageSource_Name],
			@Feed_Url = [Feed_Url]
		 FROM [PackageSources]
		WHERE [PackageSource_Id] = @PackageSource_Id

	UPDATE [Packages]
	   SET [Original_PackageSource_Feed_Url] = @Feed_Url,
		   [Original_PackageSource_Feed_Name] = @PackageSource_Name
	 WHERE [PackageSource_Id] = @PackageSource_Id
	
	DELETE [PackageSources]
	WHERE [PackageSource_Id] = @PackageSource_Id
	
	COMMIT
END TRY BEGIN CATCH
	IF XACT_STATE()<>0 ROLLBACK
	EXEC [HandleError]
END CATCH


END
GO

GRANT EXECUTE ON [PackageSources_DeletePackageSource] TO [BuildMasterUser_Role]
