EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Plans_GetAction',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataRow',
    /* DataTableNames_Csv      */ 'ActionGroupActions_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the details of the specified action.'
GO


IF OBJECT_ID('[Plans_GetAction]') IS NOT NULL DROP PROCEDURE [Plans_GetAction]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Plans_GetAction]
(
	@ActionGroup_Id INT,
	@Action_Sequence INT
)
AS
BEGIN

	SET NOCOUNT ON

	SELECT * 
	  FROM [ActionGroupActions_Extended]
     WHERE [ActionGroup_Id] = @ActionGroup_Id
	   AND [Action_Sequence] = @Action_Sequence
	IF @@ROWCOUNT=0 RAISERROR('Action %i (action group #%i) does not exist.',16,1,@Action_Sequence,@ActionGroup_Id)

END
GO

GRANT EXECUTE ON [Plans_GetAction] TO [BuildMasterUser_Role]
