EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'RetentionPolicies_GetPurgeHistory',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'RetentionPoliciesPurgeHistory',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the purge history for one or all retention policies.'
GO


IF OBJECT_ID('[RetentionPolicies_GetPurgeHistory]') IS NOT NULL DROP PROCEDURE [RetentionPolicies_GetPurgeHistory]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [RetentionPolicies_GetPurgeHistory]
(
	@RetentionPolicy_Id INT = NULL,
	@Max_Count INT = NULL
)
AS
BEGIN

	SET NOCOUNT ON

	IF @Max_Count IS NOT NULL
		SET ROWCOUNT @Max_Count

	SELECT *
	  FROM [RetentionPoliciesPurgeHistory]
	 WHERE @RetentionPolicy_Id IS NULL OR [Original_RetentionPolicy_Id] = @RetentionPolicy_Id
	 ORDER BY [Start_Date] DESC

END
GO

GRANT EXECUTE ON [RetentionPolicies_GetPurgeHistory] TO [BuildMasterUser_Role]