EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Servers_GetServerByName',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'DataRow',
    /* DataTableNames_Csv      */ 'Servers',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the specified server by its name.'
GO

IF OBJECT_ID('[Servers_GetServerByName]') IS NOT NULL DROP PROCEDURE [Servers_GetServerByName]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Servers_GetServerByName]
(
	@Server_Name VARCHAR(50)
)
AS
BEGIN

	SET NOCOUNT ON

	SELECT *
	  FROM [Servers]
	 WHERE [Server_Name] = @Server_Name

END
GO

GRANT EXECUTE ON [Servers_GetServerByName] TO [BuildMasterUser_Role]