EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Variables_DeleteVariableDefinition',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Deletes a variable definition'
GO


IF OBJECT_ID('[Variables_DeleteVariableDefinition]') IS NOT NULL DROP PROCEDURE [Variables_DeleteVariableDefinition]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Variables_DeleteVariableDefinition]
(
	@VariableDefinition_Id INT
)
AS
BEGIN

	SET NOCOUNT ON

BEGIN TRY
	BEGIN TRANSACTION
	
	DELETE [VariableDefinitions]
	 WHERE [VariableDefinition_Id] = @VariableDefinition_Id

	COMMIT
END TRY BEGIN CATCH
	IF XACT_STATE()<>0 ROLLBACK
	EXEC [HandleError]
END CATCH

END
GO

GRANT EXECUTE ON [Variables_DeleteVariableDefinition] TO [BuildMasterUser_Role]